using System;
using System.Collections.Generic;
namespace Tak_1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            int n = int.Parse(str[0]);
            int l = int.Parse(str[1]);

            string[] str1 = Console.ReadLine().Split();
            int res = -1;
            for (int i = 0; i < n; i++)
            {
                int x = int.Parse(str1[i]);
                if (x <= l)
                {
                    res = i + 1;
                    break;
                }     
            } 
            Console.WriteLine(res);
        } 
    }
}